Name:           xcalib
Version:        0.8
Release:        25%{?dist}
Summary:        Tiny monitor calibration loader for X.org

License:        GPLv2+
URL:            http://xcalib.sourceforge.net/
# Sources from http://downloads.sourceforge.net/xcalib/xcalib-source-%%{version}.tar.gz
Source0:        http://kwizart.fedorapeople.org/SOURCES/xcalib-repack-%{version}.tar.bz2
Source10:       xcalib-repack.sh
Patch0:         xcalib-0.8-cflags.patch
Patch1:         xcalib-0.8-rhbz783562.patch

BuildRequires:  gcc

BuildRequires:  xorg-x11-proto-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel


%description
Tiny monitor calibration loader for X.org


%prep
%setup -q
%patch0 -p1 -b .cflags
%patch1 -p2 -b .rhbz783562

# Convert file-not-utf8
iconv -f iso8859-1 -t utf8 README > README-utf8 
touch -r README README-utf8 
mv README-utf8 README

%build
export CFLAGS="$RPM_OPT_FLAGS"
export XINCLUDEDIR=%{_includedir}
export XLIBDIR=%{_libdir}
%make_build


%install
%make_install




%files
%doc README README.profilers
%license COPYING
%{_bindir}/*


%changelog
* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jul 17 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.8-22
- Refresh spec file

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jan 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 0.8-11
- Fix rhbz#783562

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 15 2008 kwizart < kwizart at gmail.com > - 0.8-5
- Rebuild

* Sat Feb 23 2008 kwizart < kwizart at gmail.com > - 0.8-4
- Repackage the sources.

* Thu Feb 14 2008 kwizart < kwizart at gmail.com > - 0.8-3
- Drop icc profiles (unneeded)
- Fix file-not-utf8 README

* Sat Feb  2 2008 kwizart < kwizart at gmail.com > - 0.8-2
- Uses color-filesystem BR and macros

* Fri Sep  7 2007 kwizart < kwizart at gmail.com > - 0.8-1
- Update to 0.8

* Thu Aug 16 2007 kwizart < kwizart at gmail.com > - 0.6-1
- Initial package
